#!/usr/bin/make -f

export PYBUILD_NAME=pytest-bdd

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	dh_auto_install
	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest -k 'not test_generate_with_quotes and not test_unicode_characters'"
endif

override_dh_auto_install:
	dh_auto_install
	rm debian/python3-pytest-bdd/usr/bin/pytest-bdd
